1.0

1.0

get /v1/images/{image_id}/lifecycle-policy/preview

Description

show image lifecycle policy preview

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
Image ID
Example : 5b5ed4f2881a440583536fc1a8c39a28
stringNone
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryreference_tags
optional
List of tags in reference
Example : ["sample"]
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTagsListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/images/{image_id}/lifecycle-policy/preview

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"

Example HTTP response

Response 200

{
    "count": 10,
    "tagses": [
        {
            "hash_digest": "",
            "id": "b48210c7a226460fa15b6e3e221b30b0",
            "last_scanned_at": "2024-08-15T13:05:09.701645823+09:00",
            "lock_policy": {
                "locked": true
            },
            "modified_at": "2024-08-16T16:06:09.701645823+09:00",
            "private_endpoint_url": "sample.scr.private.{region}.{environment}.samsungsdscloud.com:30748/sample-repo/sample_20240817@sha256:1234...abcd",
            "public_endpoint_url": "sample.scr.{region}.{environment}.samsungsdscloud.com:30748/sample-repo/sample_20240817@sha256:1234...abcd",
            "re_scan_needed": true,
            "reference_tags": "[\"sample\"]",
            "referenced_by": "",
            "scan_state": "Scanning state",
            "scan_summary": {
                "critical": 10,
                "high": 10,
                "low": 10,
                "medium": 10,
                "negligible": 10,
                "total_vulnerability": 60,
                "unknown": 10
            },
            "size": 10,
            "state": "Active"
        }
    ]
}